<?php

extract( shortcode_atts( array( 

		'html_template' => '',

        'image' => '',

        'decimals' => whmpress_get_option("combo_decimals"),

        'currency' => '0',

        'id' => '0',

        //'rows' => whmpress_get_option("combo_rows"),

        'show_discount' => whmpress_get_option("combo_show_discount"),

        'show_button' => whmpress_get_option("combo_show_button"),

        'button_text' => whmpress_get_option("combo_button_text"),

        'combo_class' => '',

        'button_class' => '',

        'html_id' => '',

        'html_class' => 'whmpress whmpress_order_combo',

        'discount_type' => whmpress_get_option('combo_discount_type'),

        'billingcycles' => whmpress_get_option("combo_billingcycles"),

        'prefix' => whmpress_get_option("combo_prefix"),

        'suffix' => whmpress_get_option("combo_suffix"),

        "params" => '',

	), $atts ) );

    $decimal = $decimals;

    if (!is_numeric($decimal)) $decimal = "0";

    $currency = whmp_get_currency($currency);

    $showdiscount = $show_discount;

    $showbutton = $show_button;

    $buttontext = $button_text;

    

    # Getting WordPress DB variable for communicating with DB.

    global $wpdb;

    $smarty_array = array();

    

    # Getting currency symbol

    $suffcursymbol = "";

    $prefcursymbol = "";

    if (strtolower($prefix)=="yes") {

        $prefcursymbol = whmp_get_currency_prefix($currency);

    }

    if (strtolower($suffix)=="yes") {

        $suffcursymbol = whmp_get_currency_suffix($currency);

    }

    

    # Getting data from DB.

    if (is_array($billingcycles)) $billingcycles = trim(implode(",",$billingcycles));

    if (trim($billingcycles)<>"") {

        # Setting up billing cycles

        $billingcycles = explode(",",$billingcycles);

        $billingcycles = array_map('trim', $billingcycles);

        $billingcycles = array_map('strtolower', $billingcycles);

        $Q = "SELECT ". implode(",",$billingcycles) ." FROM `".whmp_get_pricing_table_name()."` WHERE `type`='product'";

    } else

        $Q = "SELECT `triennially`,`biennially`,`annually`,`semiannually`,`quarterly`,`monthly` FROM `".whmp_get_pricing_table_name()."` WHERE `type`='product'";

    if (isset($id)) $Q .= " AND `relid`=".$id;

    $Q .= " AND `currency`=".$currency;

    $row = $wpdb->get_row($Q,ARRAY_A);

    

    #echo "<pre>";

    #print_r ($row);

    #echo "</pre>";

    

    # Checking that provided ID is valid

    if ($row===false || !is_array($row)) return "Invalid ID";

    

    # Generating string for output

    $action_url = WHMPress::get_whmcs_url("order");

    if ($params<>"") $action_url .= "&".$action_url;

    $string = "<form action='". $action_url ."'>\n";

    

    ## Checking/Adding parameters if found in URL

    $params = parse_url($action_url);

    if (!isset($params["query"])) $params["query"] = "";

    if ($params["query"]<>"") {

        parse_str($params["query"], $params);

        foreach($params as $key=>$val)

            $string .= "<input type=\"hidden\" value=\"{$val}\" name=\"{$key}\">\n";

    }

    

    $string .= "<input type=\"hidden\" value=\"add\" name=\"a\">    

    <input type=\"hidden\" value=\"{$id}\" name=\"pid\">

    <input type=\"hidden\" value=\"{$currency}\" name=\"currency\"> 

    <select name=\"billingcycle\" class=\"{$combo_class}\">\n";

    if (get_option("show_trailing_zeros")=="yes") $CurrencyFunction="number_format";

    else $CurrencyFunction="round";

    if (!isset($row["monthly"])) $row["monthly"] = "0";

    $decimal_sperator = get_option('decimal_replacement',".");

    if ($row["monthly"]>0) {

        if (is_array($billingcycles) && in_array("monthly",$billingcycles)) {

            $string .= "<option value=\"monthly\">1 Month - {$prefcursymbol}".$CurrencyFunction($row["monthly"],$decimal)."{$suffcursymbol}</option>\n";

            $process_price = process_price($CurrencyFunction($row["monthly"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["monthly"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "monthly",

                                );

        } else if (strtolower($discount_type)=="yearly" || "annually"==strtolower($discount_type)) {

            $string .= "<option value=\"monthly\">1 Month - {$prefcursymbol}".$CurrencyFunction($row["monthly"],$decimal)."{$suffcursymbol}</option>\n";

            $process_price = process_price($CurrencyFunction($row["monthly"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["monthly"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "monthly",

                                );

        } else if (strtolower($discount_type)=="monthly") { 

            $string .= "<option value=\"monthly\">1 Month - {$prefcursymbol}".$CurrencyFunction($row["monthly"],$decimal)."{$suffcursymbol}</option>\n";

            $process_price = process_price($CurrencyFunction($row["monthly"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["monthly"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "monthly",

                                );

        }

    }

    if (!isset($row["quarterly"])) $row["quarterly"] = "0";

    if ($row["quarterly"]>0) {

        if ($row["monthly"]>0) {

            $per = round(100 - ( $row["quarterly"] / ($row["monthly"]*3) * 100),0);

        } else {

            $per = "";

        }

        if (is_array($billingcycles) && in_array("quarterly",$billingcycles)) {

            $string .= "<option value=\"quarterly\">3 Months - {$prefcursymbol}".$CurrencyFunction($row["quarterly"],$decimal)."{$suffcursymbol}";

            if (strtolower($showdiscount)=="yes" && $per<>"") $string .= " Save {$per}%</option>\n";

            $process_price = process_price($CurrencyFunction($row["quarterly"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["quarterly"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "quarterly",

                                );

        } else if (strtolower($discount_type)=="yearly") {

            $string .= "<option value='quarterly'>3 Months - {$prefcursymbol}".$CurrencyFunction($row["quarterly"],$decimal)."{$suffcursymbol}";

            if (strtolower($showdiscount)=="yes" && $per<>"") $string .= " Save {$per}%</option>\n";

            $process_price = process_price($CurrencyFunction($row["quarterly"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["quarterly"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "quarterly",

                                );

        } else {

            $monthly = $CurrencyFunction($row["quarterly"]/3,$decimal);

            $string .= "<option value=\"quarterly\">3 Months - {$prefcursymbol}".$CurrencyFunction($row["quarterly"],$decimal)."{$suffcursymbol} @ {$monthly}/".__("mo", "whmpress")."</option>\n";

            $process_price = process_price($CurrencyFunction($row["quarterly"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["quarterly"],$decimal),

                                    "discount" => $monthly,

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "quarterly",

                                );

        }

    }

    if (!isset($row["semiannually"])) $row["semiannually"] = "0";

    if ($row["semiannually"]>0) {

        if ($row["monthly"]>0) {

            $per = round(100 - ( $row["semiannually"] / ($row["monthly"]*6) * 100),0);

        } else if ($row["quarterly"]>0) {

            $per = round(100 - ( $row["semiannually"] / ($row["quarterly"]*2) * 100),0);

        } else {

            $per = "";

        }

        if (is_array($billingcycles) && in_array("semiannually",$billingcycles)) {

            $string .= "<option value=\"semiannually\">6 Months - {$prefcursymbol}".$CurrencyFunction($row["semiannually"],$decimal)."{$suffcursymbol}";

            if (strtolower($showdiscount)=="yes" && $per<>"") $string .= " Save {$per}%</option>\n";

            $process_price = process_price($CurrencyFunction($row["semiannually"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["semiannually"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "semiannually",

                                );

        } else if (strtolower($discount_type)=="yearly") {

            $string .= "<option value=\"semiannually\">6 Months - {$prefcursymbol}".$CurrencyFunction($row["semiannually"],$decimal)."{$suffcursymbol}";

           if (strtolower($showdiscount)=="yes" && $per<>"") $string .= " Save {$per}%</option>\n";

            $process_price = process_price($CurrencyFunction($row["semiannually"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["semiannually"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "semiannually",

                                );

        } else {

            $monthly = $CurrencyFunction($row["semiannually"]/6,$decimal);

            $string .= "<option value=\"semiannually\">6 Months - {$prefcursymbol}".$CurrencyFunction($row["semiannually"],$decimal)."{$suffcursymbol} @ {$monthly}/".__("mo", "whmpress")."</option>\n";

            $process_price = process_price($CurrencyFunction($row["semiannually"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["semiannually"],$decimal),

                                    "discount" => $monthly,

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "semiannually",

                                );

        }

    }

    if (!isset($row["annually"])) $row["annually"] = "0";

    if ($row["annually"]>0) {

        if ($row["monthly"]>0) {

            $per = round(100 - ( $row["annually"] / ($row["monthly"]*12) * 100),0);

        } else if ($row["quarterly"]>0) {

            $per = round(100 - ( $row["annually"] / ($row["quarterly"]*4) * 100),0);

        } else if ($row["semiannually"]>0) {

            $per = round(100 - ( $row["annually"] / ($row["semiannually"]*2) * 100),0);

        } else {

            $per = "0";

        }

        

        if (is_array($billingcycles) && in_array("annually",$billingcycles)) {

            $monthly = $CurrencyFunction($row["annually"]/12,$decimal);

            $string .= "<option value=\"annually\">12 Months - {$prefcursymbol}".$CurrencyFunction($row["annually"],$decimal).$suffcursymbol;

            $string .= "</option>\n";

            $process_price = process_price($CurrencyFunction($row["annually"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["annually"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "annually",

                                );

        } else if (strtolower($discount_type)=="yearly") {

            $string .= "<option value=\"annually\">1 ".__("Year", "whmpress")." - {$prefcursymbol}".$CurrencyFunction($row["annually"],$decimal)."{$suffcursymbol}";

            if (strtolower($showdiscount)=="yes" && $per<>"") $string .= " Save {$per}%</option>\n";

            $process_price = process_price($CurrencyFunction($row["annually"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["annually"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "annually",

                                );

        } else {

            $monthly = $CurrencyFunction($row["annually"]/12,$decimal);

            $string .= "<option value=\"annually\">12 Months - {$prefcursymbol}".$CurrencyFunction($row["annually"],$decimal).$suffcursymbol;

            if (strtolower($showdiscount)=="yes") $string .= " @ {$monthly}/".__("mo", "whmpress");

            $string .= "</option>\n";

            $process_price = process_price($CurrencyFunction($row["annually"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["annually"],$decimal),

                                    "discount" => $monthly,

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "annually",

                                );

        }

    }

    if (!isset($row["biennially"])) $row["biennially"] = "0";

    if ($row["biennially"]>0) {

        if ($row["monthly"]>0) {

            $per = round(100 - ( $row["biennially"] / ($row["monthly"]*24) * 100),0);

        } else if ($row["quarterly"]>0) {

            $per = round(100 - ( $row["biennially"] / ($row["quarterly"]*8) * 100),0);

        } else if ($row["semiannually"]>0) {

            $per = round(100 - ( $row["biennially"] / ($row["semiannually"]*4) * 100),0);

        } else if ($row["annually"]>0) {

            $per = round(100 - ( $row["biennially"] / ($row["annually"]*2) * 100),0);

        } else {

            $per = "";

        }

        if (is_array($billingcycles) && in_array("biennially",$billingcycles)) {

            $monthly = $CurrencyFunction($row["biennially"]/24,$decimal);

            $string .= "<option value=\"biennially\">24 Months - {$prefcursymbol}".$CurrencyFunction($row["biennially"],$decimal).$suffcursymbol; 

            $string .= "</option>\n";

            $process_price = process_price($CurrencyFunction($row["biennially"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["biennially"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "biennially",

                                );

        } else if (strtolower($discount_type)=="yearly") {

            $string .= "<option value=\"biennially\">2 ".__("Years", "whmpress")." - {$prefcursymbol}".$CurrencyFunction($row["biennially"],$decimal)."{$suffcursymbol}";

            

            if (strtolower($showdiscount)=="yes" && $per<>"") $string .= " Save {$per}%";

            $string .= "</option>\n";

            $process_price = process_price($CurrencyFunction($row["biennially"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["biennially"],$decimal),

                                    "discount" => "10%",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "biennially",

                                );

        } else {

            $monthly = $CurrencyFunction($row["biennially"]/24,$decimal);

            $string .= "<option value=\"biennially\">24 Months - {$prefcursymbol}".$CurrencyFunction($row["biennially"],$decimal).$suffcursymbol;

            if (strtolower($showdiscount)=="yes") $string .= " @ {$monthly}/".__("mo", "whmpress");

            $string .= "</option>\n";

            $process_price = process_price($CurrencyFunction($row["biennially"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["biennially"],$decimal),

                                    "discount" => $monthly,

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "biennially",

                                );

        }

    }

    if (!isset($row["triennially"])) $row["triennially"] = "0";

    if ($row["triennially"]>0) {

        if ($row["monthly"]>0) {

            $per = round(100 - ( $row["triennially"] / ($row["monthly"]*36) * 100),0);

        } else if ($row["quarterly"]>0) {

            $per = round(100 - ( $row["triennially"] / ($row["quarterly"]*12) * 100),0);

        } else if ($row["semiannually"]>0) {

            $per = round(100 - ( $row["triennially"] / ($row["semiannually"]*6) * 100),0);

        } else if ($row["annually"]>0) {

            $per = round(100 - ( $row["triennially"] / ($row["annually"]*3) * 100),0);

        } else {

            $per = "";

        }

        

        if (is_array($billingcycles) && in_array("triennially",$billingcycles)) {

            $monthly = $CurrencyFunction($row["triennially"]/36,$decimal);

            $string .= "<option value=\"triennially\">36 Months - {$prefcursymbol}".$CurrencyFunction($row["triennially"],$decimal).$suffcursymbol;

            $string .= "</option>\n";

            $process_price = process_price($CurrencyFunction($row["triennially"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["triennially"],$decimal),

                                    "discount" => "",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "triennially",

                                );

        } else if (strtolower($discount_type)=="yearly") {

            $string .= "<option value=\"triennially\">3 ".__("Years", "whmpress")." - {$prefcursymbol}".$CurrencyFunction($row["triennially"],$decimal)."{$suffcursymbol}";

            if (strtolower($showdiscount)=="yes" && $per<>"") $string .= " Save {$per}%";

            $string .= "</option>\n";

            $process_price = process_price($CurrencyFunction($row["triennially"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["triennially"],$decimal),

                                    "discount" => "20%",

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "triennially",

                                );

        } else {

            $monthly = $CurrencyFunction($row["triennially"]/36,$decimal);

            $string .= "<option value=\"triennially\">36 Months - {$prefcursymbol}".$CurrencyFunction($row["triennially"],$decimal).$suffcursymbol;

            if (strtolower($showdiscount)=="yes") $string .= " @ {$monthly}/".__("mo", "whmpress");

            $string .= "</option>\n";

            $process_price = process_price($CurrencyFunction($row["triennially"],$decimal), $decimal_sperator);

            $smarty_array[] = array(

                                    "prefix" => $prefcursymbol,

                                    "suffix" => $suffcursymbol,

                                    "product_price" => $CurrencyFunction($row["triennially"],$decimal),

                                    "discount" => $monthly,

                                    "amount" => $process_price["amount"],

                                    "fraction" => $process_price["fraction"],

                                    "decimal" => $decimal_sperator,

                                    "duration" => "triennially",

                                );

        }

    }

    

    $WHMPress = new WHMPress;

    $html_template = $WHMPress->check_template_file($html_template, "whmpress_order_combo");

    

    $string .= "</select>\n";

    

    #echo nl2br(htmlentities($string));

    

    $button = "<button class=\"{$button_class}\">{$buttontext}</button>";

    

    //if ($rows=="2") $string .= "<br />";

    

    if (strtolower($showbutton)=="yes") {

        $string .= $button;

    }

    $string .= "</form>";

    #echo $html_template."<br />";

    if ( is_file($html_template) ) {

        #echo "Yes<br />";

        $vars = array(

            "product_order_combo" => $string,

            "product_order_button" => $button,

            "order_button_text" => $buttontext,

            "data" => $smarty_array,

            "pid" => $id,

            "product_id" => $id,

            "currency_id" => $currency,

            "action_url" => $action_url,

        );

                

        # Getting custom fields and adding in output

        $TemplateArray = $WHMPress->get_template_array("whmpress_order_combo");

        foreach($TemplateArray as $custom_field) {

            $vars[$custom_field] = isset($atts[$custom_field])?$atts[$custom_field]:"";

        }

        

        $OutputString = whmp_smarty_template($html_template, $vars);

    } else {

        # Returning output string including HTML wrapper with ID

        $OutputString = "<div id='$html_id' class='$html_class'>".$string."</div>";

    }

return $OutputString;